<?php
#------------------------------------------------------#
#               本程序为zChain.net提供                 #
#                zChain论坛(ZBB)v2.00                  #
#------------------------------------------------------#
# INPUT: $sv_user
# INPUT[FORM]: $bid,$tid,$f_title,$f_comment,$f_nocode,$f_nosmile,$f_lock

require_once('bin/config.php');
require_once('bin/common.php');
require_once('bin/zbbcodec.php');

require_once('core/class_forum_base.php');
CForumBase::setFileBase("$filepath");
require_once('core/base_memo_file.php');
require_once('core/class_topic.php');


$oTpc=new CTopic;
if(!$oTpc->load($bid,$tid)){errorview("error topic");}
if($sv_user != $oTpc->user){errorview("对不起，您没有此项操作的权限！");}

cleanText(&$f_title);
$f_title=str_replace("  ", "　", $f_title);
if((strlen($f_title) > 100)||(strlen($f_title) < 2)){errorview("文章标题不能小于2个字符！");}
if(strlen($f_comment) > $maxpostsize){errorview("文章内容不能大于{$maxpostsize}个字节！");}

$f_comment.="\n\n[ 此消息由 $ck_name 在 $stime 编辑过 ]";
zbbencode(&$f_comment);

$oTpc->title=$f_title;
$oTpc->body=$f_comment;
$oTpc->store($bid,$tid);

win("viewboard.php?bid=$bid");

?>